package xyz.zhouxy.plusone.system.application.exception.handler;

import javax.annotation.Nonnull;

import org.springframework.http.ResponseEntity;
import org.springframework.web.bind.annotation.ExceptionHandler;
import org.springframework.web.bind.annotation.RestControllerAdvice;

import xyz.zhouxy.plusone.exception.handler.BaseExceptionHandler;
import xyz.zhouxy.plusone.system.application.exception.AccountLoginException;
import xyz.zhouxy.plusone.commons.util.RestfulResult;

@RestControllerAdvice
public class AccountLoginExceptionHandler extends BaseExceptionHandler {

    public AccountLoginExceptionHandler(ExceptionInfoHolder exceptionInfoHolder) {
        super(exceptionInfoHolder);
    }

    @ExceptionHandler({ AccountLoginException.class })
    public ResponseEntity<RestfulResult> handleException(@Nonnull Exception e) {
        return buildExceptionResponse(e);
    }
}
