package xyz.zhouxy.plusone.util;

import java.util.concurrent.ThreadLocalRandom;

public final class RandomUtil {
    private RandomUtil() {
        throw new IllegalStateException("Utility class");
    }

    public static String randomStr(char[] sourceCharacters, int length) {
        ThreadLocalRandom random = ThreadLocalRandom.current();
        char[] result = new char[length];
        for (int i = 0; i < length; i++) {
            result[i] = sourceCharacters[random.nextInt(sourceCharacters.length)];
        }
        return String.valueOf(result);
    }
}
